image: node:latest
before_script:  
  - npm install
cache:  
  paths:
    - node_modules/
stages:
  - deploy
publish:
  stage: deploy
  only:
    - tags
    - triggers
  script:
    - echo '//registry.npmjs.org/:_authToken=${NPM_TOKEN}'>.npmrc
    - npm publish --unsafe-perm